# pandas.period_range

`pandas.``period_range`(start=None, end=None, periods=None, freq='D', name=None)

  Return a fixed frequency datetime index, with day (calendar) as the default frequency

  Parameters:

  start : starting value, period-like, optional

  end : ending value, period-like, optional

  periods : int, default None

  > Number of periods in the index

  freq : str/DateOffset, default ‘D’

  > Frequency alias

  name : str, default None

  > Name for the resulting PeriodIndex

  Returns: | prng : PeriodIndex